diff -Nru dianara-1.3.7/debian/changelog dianara-1.3.7/debian/changelog
--- dianara-1.3.7/debian/changelog	2017-07-03 19:30:10.000000000 -0300
+++ dianara-1.3.7/debian/changelog	2017-08-26 17:39:03.000000000 -0300
@@ -1,3 +1,11 @@
+dianara (1.3.7-2.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Migrate to qt5.
+  * debian/patches/01-fix-qtoauth-dir.patch: set QtOAuth directory
+
+ -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 26 Aug 2017 17:39:03 -0300
+
 dianara (1.3.7-2) unstable; urgency=medium
 
   * Upload to unstable.
diff -Nru dianara-1.3.7/debian/control dianara-1.3.7/debian/control
--- dianara-1.3.7/debian/control	2017-07-03 19:28:47.000000000 -0300
+++ dianara-1.3.7/debian/control	2017-08-26 17:37:43.000000000 -0300
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Mònica Ramírez Arceda <monica@debian.org>
 Build-Depends: debhelper (>= 9),
-               qt4-qmake,
-               libqt4-dev,
+               qt5-qmake,
+               qtbase5-dev,
                libqjson-dev,
-               libqoauth-dev,
+               libqoauth-dev (>= 2.0.1~1-1),
                libmagic-dev
-Standards-Version: 4.0.0
+Standards-Version: 3.9.8
 Homepage: http://jancoding.wordpress.com/dianara/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dianara.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dianara.git
diff -Nru dianara-1.3.7/debian/patches/01-fix-qtoauth-dir.patch dianara-1.3.7/debian/patches/01-fix-qtoauth-dir.patch
--- dianara-1.3.7/debian/patches/01-fix-qtoauth-dir.patch	1969-12-31 21:00:00.000000000 -0300
+++ dianara-1.3.7/debian/patches/01-fix-qtoauth-dir.patch	2017-08-26 17:37:43.000000000 -0300
@@ -0,0 +1,21 @@
+Description: Fix QtOAuth directory. The bug mentioned in the code is fixed, but dir must be set.
+Author: Mònica Ramírez Arceda <monica@debian.org>
+Last-Update: 2016-11-06
+--- a/Dianara.pro
++++ b/Dianara.pro
+@@ -210,14 +210,7 @@
+ 
+ CONFIG += oauth
+ 
+-## TMP/FIXME added for Debian and derivatives, due to libqoauth-dev bug #825976
+-## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=825976
+-!load(oauth) {
+-    warning(">>> QOAuth feature (.prf file) not available; enabling workarounds...")
+-    CONFIG += crypto
+-    INCLUDEPATH += /usr/include/QtOAuth
+-    LIBS += -lqoauth
+-}
++INCLUDEPATH += /usr/include/QtOAuth
+ 
+ win32 { # Console support under mswin
+     CONFIG += console
diff -Nru dianara-1.3.7/debian/rules dianara-1.3.7/debian/rules
--- dianara-1.3.7/debian/rules	2017-04-24 03:17:40.000000000 -0300
+++ dianara-1.3.7/debian/rules	2017-08-26 17:39:03.000000000 -0300
@@ -12,5 +12,7 @@
 # Use hardening options to build the package
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export QT_SELECT=5
+
 %:
 	dh $@
